//ライセンス情報はAgeOnフォルダのLISENCEフォルダを参照してください
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Forms;
using System.Diagnostics;
using System.Drawing;
using mshtml;
using nispi;

using nispi.controlclass;

namespace nispi.Menu
{
    class BrowserNonTextMenu
    {
        public ContextMenuStripParts contextMenuStripParts;

        /*テキストがない場合*/
        public ToolStripMenuItemParts menuItemSetShioriParts;
        public ToolStripMenuItemParts menuItemGoToShioriParts;
        public ToolStripMenuItemParts menuItem0Parts;
        public ToolStripMenuItemParts menuItem100Parts;
        public ToolStripMenuItemParts menuItem200Parts;
        public ToolStripMenuItemParts menuItem300Parts;
        public ToolStripMenuItemParts menuItem400Parts;
        public ToolStripMenuItemParts menuItem500Parts;
        public ToolStripMenuItemParts menuItem600Parts;
        public ToolStripMenuItemParts menuItem700Parts;
        public ToolStripMenuItemParts menuItem800Parts;
        public ToolStripMenuItemParts menuItem900Parts;
        public ToolStripMenuItemParts menuItemEndParts;

        //ToolStripProfessionalRenderer toolStripRenderer;

        //このメニューを使いたくないときに設定する
        public bool on = true;

        public NonTextMenuEvent nonTextMenuEvent;

        public BrowserNonTextMenu()
        {
            contextMenuStripParts = ContextMenuStripPartsManager.Pop();



            /*テキストがない場合*/
            menuItemSetShioriParts = ToolStripMenuItemPartsManager.Pop();
            menuItemGoToShioriParts = ToolStripMenuItemPartsManager.Pop();
            menuItem0Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem100Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem200Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem300Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem400Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem500Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem600Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem700Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem800Parts = ToolStripMenuItemPartsManager.Pop();
            menuItem900Parts = ToolStripMenuItemPartsManager.Pop();
            menuItemEndParts = ToolStripMenuItemPartsManager.Pop();


            menuItemSetShioriParts.Text = "しおりをセット";
            menuItemGoToShioriParts.Text = "しおりに移動";

            menuItem0Parts.Text = "1 に移動";
            menuItem0Parts.Name = ">>1";

            menuItem100Parts.Text = "100 に移動";
            menuItem100Parts.Name = ">>100";

            menuItem200Parts.Text = "200 に移動";
            menuItem200Parts.Name = ">>200";

            menuItem300Parts.Text = "300 に移動";
            menuItem300Parts.Name = ">>300";

            menuItem400Parts.Text = "400 に移動";
            menuItem400Parts.Name = ">>400";

            menuItem500Parts.Text = "500 に移動";
            menuItem500Parts.Name = ">>500";

            menuItem600Parts.Text = "600 に移動";
            menuItem600Parts.Name = ">>600";

            menuItem700Parts.Text = "700 に移動";
            menuItem700Parts.Name = ">>700";

            menuItem800Parts.Text = "800 に移動";
            menuItem800Parts.Name = ">>800";

            menuItem900Parts.Text = "900 に移動";
            menuItem900Parts.Name = ">>900";

            menuItemEndParts.Text = "最後まで移動";


            contextMenuStripParts.ItemsAdd(menuItemSetShioriParts);
            contextMenuStripParts.ItemsAdd(menuItemGoToShioriParts);
            contextMenuStripParts.ItemsAdd("-");
            contextMenuStripParts.ItemsAdd(menuItem0Parts);
            contextMenuStripParts.ItemsAdd(menuItem100Parts);
            contextMenuStripParts.ItemsAdd(menuItem200Parts);
            contextMenuStripParts.ItemsAdd(menuItem300Parts);
            contextMenuStripParts.ItemsAdd(menuItem400Parts);
            contextMenuStripParts.ItemsAdd(menuItem500Parts);
            contextMenuStripParts.ItemsAdd(menuItem600Parts);
            contextMenuStripParts.ItemsAdd(menuItem700Parts);
            contextMenuStripParts.ItemsAdd(menuItem800Parts);
            contextMenuStripParts.ItemsAdd(menuItem900Parts);
            contextMenuStripParts.ItemsAdd(menuItemEndParts);

            this.nonTextMenuEvent = new NonTextMenuEvent(this);
        }
    }
}